Package: grails.compiler

## [Groovy] Annotation Type GrailsCompileStatic

- grails.compiler.GrailsCompileStatic

- All Implemented Interfaces and Traits:
    java.lang.annotation.Annotation

      @groovy.transform.AnnotationCollector
      @groovy.transform.CompileStatic(extensions: [org.grails.compiler.ValidateableTypeCheckingExtension, org.grails.compiler.NamedQueryTypeCheckingExtension, org.grails.compiler.HttpServletRequestTypeCheckingExtension, org.grails.compiler.WhereQueryTypeCheckingExtension, org.grails.compiler.DynamicFinderTypeCheckingExtension, org.grails.compiler.DomainMappingTypeCheckingExtension, org.grails.compiler.RelationshipManagementMethodTypeCheckingExtension])
      @interface GrailsCompileStatic

  Since:
    2.4

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`